Bug 166197 - Review Request: perl-Class-Trigger : Mixin to add / call inheritable triggers
Review Request: perl-Class-Trigger : Mixin to add / call inheritable triggers
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Grau
David Lawrence
http://search.cpan.org/dist/Class-Tri...
:
Depends On:
Blocks: FE-ACCEPT 166184
  Show dependency treegraph
 
Reported: 2005-08-17 16:43 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-18 00:24:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2005-08-17 16:43:35 EDT
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-Trigger.spec

SRPM Name or Url:
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-Trigger-0.09-2.src.rpm

Description: 

Mixin to add / call inheritable triggers

(NOTE: This package is one of the Maypole dependencies)
Comment 1 Chris Grau 2005-08-17 18:04:09 EDT
Review:

- rpmlint clean
- good package name
- good spec file name
- acceptible license
- license matches upstream
- spec file is am. english (and is legible)
- source matches upstream
- package builds on FC-4
- no locales
- no shared libs
- not relocatable
- owns all created directories
- no duplicate %files
- file permissions okay
- %clean okay
- consistent use of macros
- contains code, not content
- no -docs package
- %doc okay
- no -devel package

Needswork:

BuildRequires: perl >= 1:5.6.1

Is this necessary?  Perl is a given for rpm-build and Class::Trigger doesn't
explicitly require a minimum version.

Makefile.PL lists Class::Data::Inheritable >= 0.02 as a requirement, but it's
not listed as a BR (nor does it build without it installed).

In %build, make is given without %{_smp_mflags}.
Comment 2 Tom "spot" Callaway 2005-08-17 18:32:30 EDT
The BuildRequires: perl >= 1:5.6.1 is in the spec template... but I doubt we
need it.

(perl spec template here: http://gsd.di.uminho.pt/jpo/perl/specfiles/)

I didn't see any reason to use _smp_mflags for a noarch perl package that just
runs a cp command when make is triggered... but for consistency, I've added it. :)

Good catch on C::D::I, i've added it as a BR.

New SRPM:
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-Trigger-0.09-3.src.rpm

New SPEC:
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-Trigger.spec
Comment 3 Chris Grau 2005-08-17 18:47:50 EDT
(In reply to comment #2)
> The BuildRequires: perl >= 1:5.6.1 is in the spec template... but I doubt we
> need it.
> 
> (perl spec template here: http://gsd.di.uminho.pt/jpo/perl/specfiles/)

I used to use the same BR for perl.  The spectemplate-perl.spec in the
fedora-rpmdevtools package only lists "BuildRequires: perl."  I think it's
redundant, but probably there for looks in a perl-* package.  I noticed that
perl is already a requirement for rpm-build, so the whole thing is pretty silly.

> I didn't see any reason to use _smp_mflags for a noarch perl package that just
> runs a cp command when make is triggered... but for consistency, I've added it. :)

Agreed, it's pointless in such a case.  I would have approved either way. :)

> Good catch on C::D::I, i've added it as a BR.
> 
> New SRPM:
>
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-Trigger-0.09-3.src.rpm
> 
> New SPEC:
> http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-Trigger.spec

And with that, APPROVED.
Comment 4 Ville Skyttä 2005-08-18 01:42:32 EDT
perl >= 1:5.6.1 was originally in the spec template because vendor install 
dirs are not supported for earlier versions.  The version has been removed in 
newer versions because all old hacks that would be needed on FC1 and earlier 
has been pruned from the template, too -> it serves no purpose any more. 
 
I'm not convinced that perl will always be pulled in by rpm-build in the 
future because it appears to be used for, duh, mainly macros related to perl 
packages only.  So unless someone can point out a real world problem with it, 
I'm going to keep the explicit "BuildRequires: perl" in the perl packages I 
maintain as well as the spec template in fedora-rpmdevtools. 

Note You need to log in before you can comment on or make changes to this bug.